package com.ruoyi.ibs.tabs.domain.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class TopTabVo {

    private String tabName;

    private Long tabId;

    private Long parentId;

    List<TopTabVo> child;

    public  TopTabVo(String tabName,Long tabId,Long parentId){
        this.tabId = tabId;
        this.tabName = tabName;
        this.parentId = parentId;
        this.child = new ArrayList<>();
    }
    public  TopTabVo(String tabName,Long tabId,Long parentId,List<TopTabVo> child){
        this.tabId = tabId;
        this.tabName = tabName;
        this.parentId = parentId;
        this.child = child;    }
    public void addChildren(TopTabVo vo ){
        child.add(vo);
    }
}
